.Dd 2024-09-01
.Dt LLF 1
.Os
.Sh NAME
.Nm llf
.Nd Reformat and beautify LaTeX
.Sh SYNOPSIS
.Nm
.Oo
.Fl c
.Ar config-file-path
.Oc
.Sh DESCRIPTION
.Nm
reflows LaTeX from
.Pa stdin
to
.Pa stdout
similarly to
.Xr fmt 1
in a way that preserves semantic meaning.
.Pp
Parsing LaTeX is very difficult: BASIC interpreters have been written
in LaTeX, and parsing is equivalent to evaluating. Therefore,
.Nm
cannot be accurately said to reformat LaTeX.  However, it reformats a
grammar which is probably close enough to LaTeX for everyday use.
.Sh FILES
.Nm
may be configured by the following files
.Pq in order of descending preference :
.Pp
.Bl -bullet -compact
.It
.Ar config-file-path
.Po if
.Fl c
is given
.Pc
.It
.Pa ${XDG_CONFIG_HOME}/llf/llfrc.lua
.It
.Pa ${HOME}/.config/llf/llfrc.lua
.It
.Pa /usr/share/llf/llfrc.lua
.El
.Sh AUTHORS
.An S. Gilles Aq Mt for_llf@sgilles.net
